Package org.apache.uima.resource

# Class ResourceInitializationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.uima.UIMAException
org.apache.uima.resource.ResourceInitializationException

All Implemented Interfaces:
  `Serializable`, `I18nExceptionI`

public class ResourceInitializationException extends UIMAException
Thrown by `Resource.initialize(ResourceSpecifier,Map)` to indicate that a failure has occurred during initialization.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `AGGREGATE_AE_TYPE_SYSTEM`
  Message key for a standard UIMA exception message: "The Analysis Engine Descriptor is invalid - a Type System may not be explicitly set for an aggregate Analysis Engine."
  `static final String`
  `AGGREGATE_SOFA_NOT_MAPPED`
  Message key for a standard UIMA exception message: The Sofa "{0}" in aggregate "{1}" is not mapped to any sofa of any component in that aggregate.
  `static final String`
  `ALLOWED_VALUES_NOT_IDENTICAL`
  Message key for a standard UIMA exception message: The String subtype {0} is declared twice, with different sets of allowed values: {1} and {2}.
  `static final String`
  `ALLOWED_VALUES_ON_NON_STRING_TYPE`
  Message key for a standard UIMA exception message: "Type {0} specifies a list of allowed values but is not a subtype of uima.cas.String.
  `static final String`
  `ANNOTATOR_CLASS_NOT_FOUND`
  Message key for a standard UIMA exception message: "Annotator class "{0}" was not found."
  `static final String`
  `ANNOTATOR_INITIALIZATION_FAILED`
  Message key for a standard UIMA exception message: "Initialization of annotator class "{0}" failed."
  `static final String`
  `ANNOTATOR_INTERFACE_NOT_SUPPORTED`
  Message key for a standard UIMA exception message: "Annotator class {0} does not implement an Annotator interface that is supported by Analysis Engine implementation {1}."
  `static final String`
  `CAS_PROCESSOR_INITIALIZE_FAILED`
  Message key for a standard UIMA exception message: "Initialization of CAS Processor with name "{0}" failed.
  `static final String`
  `CLASS_NOT_FOUND`
  Message key for a standard UIMA exception message: "The Resource class {0} could not be found."
  `static final String`
  `CONFIG_SETTING_ABSENT`
  Message key for a standard UIMA exception message: Configuration setting for {0} is absent
  `static final String`
  `COULD_NOT_ACCESS_DATA`
  Message key for a standard UIMA exception message: "Could not access the resource data at {0}."
  `static final String`
  `COULD_NOT_INSTANTIATE`
  Message key for a standard UIMA exception message: "Could not instantiate class {0}."
  `static final String`
  `COULD_NOT_INSTANTIATE_ANNOTATOR`
  Message key for a standard UIMA exception message: "Could not instantiate Annotator class "{0}".
  `static final String`
  `DO_NOT_KNOW_HOW`
  Message key for a standard UIMA exception message: "The Resource Factory does not know how to create a resource of class {0} from the given ResourceSpecifier."
  `static final String`
  `DUPLICATE_CONFIGURATION_PARAMETER_NAME`
  Message key for a standard UIMA exception message: "Duplicate configuration parameter name "{0}" in component "{1}"."
  `static final String`
  `DUPLICATE_INDEX_NAME`
  Message key for a standard UIMA exception message: Two different CAS FeatureStructure indexes with name "{0}" have been defined.
  `static final String`
  `EMPTY_FLOW_CONTROLLER_DECLARATION`
  Message key for a standard UIMA exception message: "The aggregate AnalysisEngine "{0}" declared an empty <flowController/> element.
  `static final String`
  `ERROR_INITIALIZING_FROM_DESCRIPTOR`
  Message key for a standard UIMA exception message: "Error initializing "{0}" from descriptor {1}."
  `static final String`
  `EXCEPTION_WHEN_INITIALIZING_CUSTOM_RESOURCE`
  Message key for a standard UIMA exception message: Unexpected Exception thrown when initializing Custom Resource "{0}" from descriptor "{1}".
  `static final String`
  `FLOW_CONTROLLER_MISSING_DELEGATE`
  Message key for a standard UIMA exception message: The aggregate "{0}" references a non-existent delegate "{1}" in it's Flow Controller's flow constraints
  `static final String`
  `FLOW_CONTROLLER_REQUIRES_FLOW_CONSTRAINTS`
  Message key for a standard UIMA exception message: The Flow Controller "{0}" requires a flow constraints element of type "{1}" in the aggregate descriptor
  `static final String`
  `INCOMPATIBLE_ELEMENT_RANGE_TYPES`
  Message key for a standard UIMA exception message: "The feature {0} is declared twice, with incompatible element range types {1} and {2}.
  `static final String`
  `INCOMPATIBLE_MULTI_REFS`
  Message key for a standard UIMA exception message: "The feature {0} is declared twice, with incompatible multipleReferencesAllowed specifications.
  `static final String`
  `INCOMPATIBLE_RANGE_TYPES`
  Message key for a standard UIMA exception message: "The feature {0} is declared twice, with incompatible range types {1} and {2}.
  `static final String`
  `INCOMPATIBLE_SUPERTYPES`
  Message key for a standard UIMA exception message: "The Type {0} is declared twice, with incompatible supertypes {1} and {2}."
  `static final String`
  `INCORRECT_NUMBER_OF_PARAMETERS`
  Message key for a standard UIMA exception message: "This resource requires {0} parameter(s)."
  `static final String`
  `INDEX_KEY_FEATURE_NOT_FOUND`
  Message key for a standard UIMA exception message: "The key Feature "{0}" declared for Index "{1}" was not found."
  `static final String`
  `INPUT_SOFA_HAS_NO_SOURCE`
  Message key for a standard UIMA exception message: The input Sofa "{0}" in component "{1}" is not an input of the containing aggregate, "{2}", nor is it an output of another component in the same aggregate.
  `static final String`
  `INVALID_ACTION_AFTER_CAS_MULTIPLIER`
  Message key for a standard UIMA exception message: The value "{0}" is an invalid value for the FixedFlowController's "ActionAfterCasMultiplier" configuration parameter.
  `static final String`
  `INVALID_MODIFIES_CAS`
  Message key for a standard UIMA exception message: "The descriptor for aggregate AnalysisEngine "{0}" declared modifiesCas == false, but its component "{1}" declared modifiesCas == true, which is inconsistent."
  `static final String`
  `INVALID_MULTIPLE_DEPLOYMENT_ALLOWED`
  Message key for a standard UIMA exception message: "The descriptor for aggregate AnalysisEngine "{0}" declared multipleDeploymentAllowed == true, but its component "{1}" declared multipleDeploymentAllowed == false, which is inconsistent."
  `static final String`
  `INVALID_OUTPUTS_NEW_CASES`
  Message key for a standard UIMA exception message: "The descriptor for aggregate AnalysisEngine "{0}" declared outputsNewCASes == true, but all of its components declared outputsNewCASes == false, which is inconsistent."
  `static final String`
  `INVALID_PARAM_OVERRIDE_NO_OVERRIDES`
  Message key for a standard UIMA exception message: Configuration parameter "{0}" in aggregate Analysis Engine "{1}" does not declare any overrides.
  `static final String`
  `INVALID_PARAM_OVERRIDE_NONEXISTENT_DELEGATE`
  Message key for a standard UIMA exception message: Invalid configuration parameter override "{0}" in parameter "{1}" of Analysis Engine "{2}" -- delegate Analysis Engine "{3}" does not exist.
  `static final String`
  `INVALID_PARAM_OVERRIDE_NONEXISTENT_PARAMETER`
  Message key for a standard UIMA exception message: Invalid configuration parameter override "{0}" in parameter "{1}" of Analysis Engine "{2}" -- delegate Analysis Engine "{3}" does not declare parameter {4}.
  `static final String`
  `INVALID_PARAM_OVERRIDE_NONEXISTENT_PARAMETER_IN_GROUP`
  Message key for a standard UIMA exception message: Invalid configuration parameter override "{0}" in parameter "{1}" of Analysis Engine "{2}" -- delegate Analysis Engine "{3}" does not declare parameter {4} in group {5}.
  `static final String`
  `INVALID_PARAM_OVERRIDE_SYNTAX`
  Message key for a standard UIMA exception message: Invalid configuration parameter override syntax "{0}" in parameter "{1}" of Analysis Engine "{2}".
  `static final String`
  `INVALID_TYPE_PRIORITIES`
  Message key for a standard UIMA exception message: "Invalid type priorities."
  `static final String`
  `MALFORMED_URL`
  Message key for a standard UIMA exception message: "Malformed URL "{0}"."
  `static final String`
  `MISSING_ALLOWED_VALUES`
  Message key for a standard UIMA exception message: "Type {0} extends String and must specify a list of allowed values."
  `static final String`
  `MISSING_ANNOTATOR_CLASS_NAME`
  Message key for a standard UIMA exception message: "Annotator class name is required for a primitive Text Analysis Engine."
  `static final String`
  `MISSING_FRAMEWORK_IMPLEMENTATION`
  Message key for a standard UIMA exception message: "Component descriptor did not specify the required <frameworkImplementation> element."
  `static final String`
  `MISSING_IMPLEMENTATION_CLASS_NAME`
  Message key for a standard UIMA exception message: An implementation class name is missing from the descriptor.
  `static final String`
  `NO_RESOURCE_FOR_PARAMETERS`
  Message key for a standard UIMA exception message: "No resource could be found for the parameters {0}."
  `static final String`
  `NO_SUPERTYPE`
  Message key for a standard UIMA exception message: "Type "{0}" does not define a supertype."
  `static final String`
  `NOT_A_CAS_CONSUMER`
  Message key for a standard UIMA exception message: "A CasConsumer descriptor specified implementation class "{0}", but this class does not implement the CasConsumer interface."
  `static final String`
  `NOT_A_CAS_INITIALIZER`
  Message key for a standard UIMA exception message: "A CasInitializer descriptor specified implementation class "{0}", but this class does not implement the CasInitializer interface."
  `static final String`
  `NOT_A_CAS_PROCESSOR`
  Message key for a standard UIMA exception message: "Error creating CAS Processor with name "{0}".
  `static final String`
  `NOT_A_COLLECTION_READER`
  Message key for a standard UIMA exception message: "A CollectionReader descriptor specified implementation class "{0}", but this class does not implement the CollectionReader interface."
  `static final String`
  `NOT_A_DATA_RESOURCE`
  Message key for a standard UIMA exception message: "For resource "{0}", could not load data from class {1} into class {2}, because class {1} is not a Data Resource."
  `static final String`
  `NOT_A_FLOW_CONTROLLER_DESCRIPTOR`
  Message key for a standard UIMA exception message: "An Aggregate Analysis Engine specified a Flow Controller descriptor {0} of an invalid type ({1})).
  `static final String`
  `NOT_A_SHARED_RESOURCE_OBJECT`
  Message key for a standard UIMA exception message: "The class {0} does not implement org.apache.uima.resource.SharedResourceObject."
  `static final String`
  `NOT_AN_ANALYSIS_COMPONENT`
  Message key for a standard UIMA exception message: "The class {0} is not a valid Analysis Component.
  `static final String`
  `NOT_AN_ANNOTATOR`
  Message key for a standard UIMA exception message: "Class "{0}" is not an Annotator."
  `static final String`
  `OUTPUT_SOFA_NOT_DECLARED_IN_AGGREGATE`
  Message key for a standard UIMA exception message: The output Sofa "{0}" in component "{1}" is not mapped to any output Sofa in its containing aggregate, "{2}".
  `static final String`
  `PARAM_OVERRIDE_IN_PRIMITIVE`
  Message key for a standard UIMA exception message: Configuration parameter "{0}" in primitive Analysis Engine "{1}" declares an override.
  `static final String`
  `REDEFINING_BUILTIN_TYPE`
  `static final String`
  `RESOURCE_DATA_NOT_VALID`
  Message key for a standard UIMA exception message: "The configuration data {0} for Configuraion parameter {1} in the resource is absent or not valid"
  `static final String`
  `RESOURCE_DEPENDENCY_NOT_SATISFIED`
  Message key for a standard UIMA exception message: "There is no resource satisfying the required resource dependency with key "{0}"."
  `static final String`
  `RESOURCE_DOES_NOT_IMPLEMENT_INTERFACE`
  Message key for a standard UIMA exception message: "The resource with name "{0}" does not implement the required interface {1}."
  `static final String`
  `SOFA_MAPPING_CONFLICT`
  Message key for a standard UIMA exception message: The Sofa "{0}" in component "{1}" of aggregate "{2}" has conflicting mappings to aggregate sofas "{3}" and "{4}".
  `static final String`
  `SOFA_MAPPING_HAS_UNDEFINED_COMPONENT_KEY`
  Message key for a standard UIMA exception message: Undefined component key "{1}", referenced in Sofa mapping for Sofa "{2}" of aggregate "{3}".
  `static final String`
  `SOFA_MAPPING_HAS_UNDEFINED_COMPONENT_SOFA`
  Message key for a standard UIMA exception message: Component "{0}" does not contain Sofa "{1}", referenced in Sofa mapping for Sofa "{2}" of aggregate "{3}".
  `static final String`
  `SOFA_MAPPING_NOT_SUPPORTED_FOR_REMOTE`
  Message key for a standard UIMA exception message: "Sofa mappings were specified for the remote Analysis Engine {0}.
  `static final String`
  `TEXT_ANNOTATOR_CANNOT_BE_SOFA_AWARE`
  Message key for a standard UIMA exception message: "The primitive AnalysisEngine "{0}" has an annotator of type {1} but its descriptor declares input or output Sofas.
  `static final String`
  `THROWABLE_WHEN_INITIALIZING_CUSTOM_RESOURCE`
  Message key for a standard UIMA exception message: Unexpected Throwable or Error thrown when initializing Custom Resource "{0}" from descriptor "{1}".
  `static final String`
  `UNDEFINED_KEY_IN_FLOW`
  Message key for a standard UIMA exception message: The descriptor for Aggregate Analysis Engine "{0}" specified an invalid flow.
  `static final String`
  `UNDEFINED_RANGE_TYPE`
  Message key for a standard UIMA exception message: "Undefined type "{0}", referenced in feature "{1}" declared on type "{2}"."
  `static final String`
  `UNDEFINED_SUPERTYPE`
  Message key for a standard UIMA exception message: "Undefined type "{0}", referenced as supertype of type "{1}"."
  `static final String`
  `UNDEFINED_TYPE_FOR_INDEX`
  Message key for a standard UIMA exception message: "Undefined type "{0}", referenced in definition of index "{1}"."
  `static final String`
  `UNDEFINED_TYPE_FOR_PRIORITY_LIST`
  Message key for a standard UIMA exception message: "Undefined type "{0}" in type priority list."
  `static final String`
  `UNKNOWN_PROTOCOL`
  Message key for a standard UIMA exception message: "Unknown Protocol: "{0}"."
  `static final String`
  `UNKNOWN_RESOURCE_NAME`
  Message key for a standard UIMA exception message: "No resource with name "{0}" has been declared in this Analysis Engine."
  `static final String`
  `UNSUPPORTED_FRAMEWORK_IMPLEMENTATION`
  Message key for a standard UIMA exception message: "{0} is not a supported framework implementation"
  `static final String`
  `UNSUPPORTED_OBJECT_TYPE_IN_CREATE_CAS`
  Message key for a standard UIMA exception message: "The CasCreationUtils.createCas method was passed a collection containing an object of class {0}, which is not supported.

  ### Fields inherited from class org.apache.uima.UIMAException

  `STANDARD_MESSAGE_CATALOG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceInitializationException()`
  Creates a new exception with a null message.
  `ResourceInitializationException(String aMessageKey, Object[] aArguments)`
  Creates a new exception with a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
  `ResourceInitializationException(String aMessageKey, Object[] aArguments, Throwable aCause)`
  Creates a new exception with the specified cause and a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
  `ResourceInitializationException(String aResourceBundleName, String aMessageKey, Object[] aArguments)`
  Creates a new exception with a the specified message.
  `ResourceInitializationException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)`
  Creates a new exception with the specified message and cause.
  `ResourceInitializationException(Throwable aCause)`
  Creates a new exception with the specified cause and a null message.

- ## Method Summary

  ### Methods inherited from class org.apache.uima.UIMAException

  `getArguments, getCause, getLocalizedMessage, getMessage, getMessageKey, getResourceBundleName, initCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.I18nExceptionI

  `getLocalizedMessage, hasMessageKey`

- ## Field Details

  - ### ERROR_INITIALIZING_FROM_DESCRIPTOR

    public static final String ERROR_INITIALIZING_FROM_DESCRIPTOR
    Message key for a standard UIMA exception message: "Error initializing "{0}" from descriptor {1}."
    See Also:
      - Constant Field Values

  - ### MISSING_ANNOTATOR_CLASS_NAME

    public static final String MISSING_ANNOTATOR_CLASS_NAME
    Message key for a standard UIMA exception message: "Annotator class name is required for a primitive Text Analysis Engine."
    See Also:
      - Constant Field Values

  - ### ANNOTATOR_CLASS_NOT_FOUND

    public static final String ANNOTATOR_CLASS_NOT_FOUND
    Message key for a standard UIMA exception message: "Annotator class "{0}" was not found."
    See Also:
      - Constant Field Values

  - ### NOT_AN_ANNOTATOR

    public static final String NOT_AN_ANNOTATOR
    Message key for a standard UIMA exception message: "Class "{0}" is not an Annotator."
    See Also:
      - Constant Field Values

  - ### ANNOTATOR_INTERFACE_NOT_SUPPORTED

    public static final String ANNOTATOR_INTERFACE_NOT_SUPPORTED
    Message key for a standard UIMA exception message: "Annotator class {0} does not implement an Annotator interface that is supported by Analysis Engine implementation {1}."
    See Also:
      - Constant Field Values

  - ### COULD_NOT_INSTANTIATE_ANNOTATOR

    public static final String COULD_NOT_INSTANTIATE_ANNOTATOR
    Message key for a standard UIMA exception message: "Could not instantiate Annotator class "{0}". Check that your annotator class is not abstract and has a zero-argument constructor."
    See Also:
      - Constant Field Values

  - ### ANNOTATOR_INITIALIZATION_FAILED

    public static final String ANNOTATOR_INITIALIZATION_FAILED
    Message key for a standard UIMA exception message: "Initialization of annotator class "{0}" failed."
    See Also:
      - Constant Field Values

  - ### INCOMPATIBLE_RANGE_TYPES

    public static final String INCOMPATIBLE_RANGE_TYPES
    Message key for a standard UIMA exception message: "The feature {0} is declared twice, with incompatible range types {1} and {2}. (Descriptor: {3})"
    See Also:
      - Constant Field Values

  - ### INCOMPATIBLE_ELEMENT_RANGE_TYPES

    public static final String INCOMPATIBLE_ELEMENT_RANGE_TYPES
    Message key for a standard UIMA exception message: "The feature {0} is declared twice, with incompatible element range types {1} and {2}. (Descriptor: {3})."
    See Also:
      - Constant Field Values

  - ### INCOMPATIBLE_SUPERTYPES

    public static final String INCOMPATIBLE_SUPERTYPES
    Message key for a standard UIMA exception message: "The Type {0} is declared twice, with incompatible supertypes {1} and {2}."
    See Also:
      - Constant Field Values

  - ### INCOMPATIBLE_MULTI_REFS

    public static final String INCOMPATIBLE_MULTI_REFS
    Message key for a standard UIMA exception message: "The feature {0} is declared twice, with incompatible multipleReferencesAllowed specifications. (Descriptor: {1})"
    See Also:
      - Constant Field Values

  - ### ALLOWED_VALUES_NOT_IDENTICAL

    public static final String ALLOWED_VALUES_NOT_IDENTICAL
    Message key for a standard UIMA exception message: The String subtype {0} is declared twice, with different sets of allowed values: {1} and {2}. (Descriptor: {3})
    See Also:
      - Constant Field Values

  - ### UNDEFINED_RANGE_TYPE

    public static final String UNDEFINED_RANGE_TYPE
    Message key for a standard UIMA exception message: "Undefined type "{0}", referenced in feature "{1}" declared on type "{2}"."
    See Also:
      - Constant Field Values

  - ### UNDEFINED_SUPERTYPE

    public static final String UNDEFINED_SUPERTYPE
    Message key for a standard UIMA exception message: "Undefined type "{0}", referenced as supertype of type "{1}"."
    See Also:
      - Constant Field Values

  - ### UNDEFINED_TYPE_FOR_INDEX

    public static final String UNDEFINED_TYPE_FOR_INDEX
    Message key for a standard UIMA exception message: "Undefined type "{0}", referenced in definition of index "{1}"."
    See Also:
      - Constant Field Values

  - ### UNDEFINED_TYPE_FOR_PRIORITY_LIST

    public static final String UNDEFINED_TYPE_FOR_PRIORITY_LIST
    Message key for a standard UIMA exception message: "Undefined type "{0}" in type priority list."
    See Also:
      - Constant Field Values

  - ### INDEX_KEY_FEATURE_NOT_FOUND

    public static final String INDEX_KEY_FEATURE_NOT_FOUND
    Message key for a standard UIMA exception message: "The key Feature "{0}" declared for Index "{1}" was not found."
    See Also:
      - Constant Field Values

  - ### AGGREGATE_AE_TYPE_SYSTEM

    public static final String AGGREGATE_AE_TYPE_SYSTEM
    Message key for a standard UIMA exception message: "The Analysis Engine Descriptor is invalid - a Type System may not be explicitly set for an aggregate Analysis Engine."
    See Also:
      - Constant Field Values

  - ### MISSING_ALLOWED_VALUES

    public static final String MISSING_ALLOWED_VALUES
    Message key for a standard UIMA exception message: "Type {0} extends String and must specify a list of allowed values."
    See Also:
      - Constant Field Values

  - ### ALLOWED_VALUES_ON_NON_STRING_TYPE

    public static final String ALLOWED_VALUES_ON_NON_STRING_TYPE
    Message key for a standard UIMA exception message: "Type {0} specifies a list of allowed values but is not a subtype of uima.cas.String. You may only specify a list of allowed values for string subtypes."
    See Also:
      - Constant Field Values

  - ### DUPLICATE_CONFIGURATION_PARAMETER_NAME

    public static final String DUPLICATE_CONFIGURATION_PARAMETER_NAME
    Message key for a standard UIMA exception message: "Duplicate configuration parameter name "{0}" in component "{1}"."
    See Also:
      - Constant Field Values

  - ### INCORRECT_NUMBER_OF_PARAMETERS

    public static final String INCORRECT_NUMBER_OF_PARAMETERS
    Message key for a standard UIMA exception message: "This resource requires {0} parameter(s)."
    See Also:
      - Constant Field Values

  - ### NO_RESOURCE_FOR_PARAMETERS

    public static final String NO_RESOURCE_FOR_PARAMETERS
    Message key for a standard UIMA exception message: "No resource could be found for the parameters {0}."
    See Also:
      - Constant Field Values

  - ### COULD_NOT_ACCESS_DATA

    public static final String COULD_NOT_ACCESS_DATA
    Message key for a standard UIMA exception message: "Could not access the resource data at {0}."
    See Also:
      - Constant Field Values

  - ### CLASS_NOT_FOUND

    public static final String CLASS_NOT_FOUND
    Message key for a standard UIMA exception message: "The Resource class {0} could not be found."
    See Also:
      - Constant Field Values

  - ### COULD_NOT_INSTANTIATE

    public static final String COULD_NOT_INSTANTIATE
    Message key for a standard UIMA exception message: "Could not instantiate class {0}."
    See Also:
      - Constant Field Values

  - ### DO_NOT_KNOW_HOW

    public static final String DO_NOT_KNOW_HOW
    Message key for a standard UIMA exception message: "The Resource Factory does not know how to create a resource of class {0} from the given ResourceSpecifier."
    See Also:
      - Constant Field Values

  - ### NOT_A_SHARED_RESOURCE_OBJECT

    public static final String NOT_A_SHARED_RESOURCE_OBJECT
    Message key for a standard UIMA exception message: "The class {0} does not implement org.apache.uima.resource.SharedResourceObject."
    See Also:
      - Constant Field Values

  - ### NOT_A_DATA_RESOURCE

    public static final String NOT_A_DATA_RESOURCE
    Message key for a standard UIMA exception message: "For resource "{0}", could not load data from class {1} into class {2}, because class {1} is not a Data Resource."
    See Also:
      - Constant Field Values

  - ### UNKNOWN_RESOURCE_NAME

    public static final String UNKNOWN_RESOURCE_NAME
    Message key for a standard UIMA exception message: "No resource with name "{0}" has been declared in this Analysis Engine."
    See Also:
      - Constant Field Values

  - ### RESOURCE_DOES_NOT_IMPLEMENT_INTERFACE

    public static final String RESOURCE_DOES_NOT_IMPLEMENT_INTERFACE
    Message key for a standard UIMA exception message: "The resource with name "{0}" does not implement the required interface {1}."
    See Also:
      - Constant Field Values

  - ### RESOURCE_DEPENDENCY_NOT_SATISFIED

    public static final String RESOURCE_DEPENDENCY_NOT_SATISFIED
    Message key for a standard UIMA exception message: "There is no resource satisfying the required resource dependency with key "{0}"."
    See Also:
      - Constant Field Values

  - ### UNKNOWN_PROTOCOL

    public static final String UNKNOWN_PROTOCOL
    Message key for a standard UIMA exception message: "Unknown Protocol: "{0}"."
    See Also:
      - Constant Field Values

  - ### MALFORMED_URL

    public static final String MALFORMED_URL
    Message key for a standard UIMA exception message: "Malformed URL "{0}"."
    See Also:
      - Constant Field Values

  - ### RESOURCE_DATA_NOT_VALID

    public static final String RESOURCE_DATA_NOT_VALID
    Message key for a standard UIMA exception message: "The configuration data {0} for Configuraion parameter {1} in the resource is absent or not valid"
    See Also:
      - Constant Field Values

  - ### CONFIG_SETTING_ABSENT

    public static final String CONFIG_SETTING_ABSENT
    Message key for a standard UIMA exception message: Configuration setting for {0} is absent
    See Also:
      - Constant Field Values

  - ### DUPLICATE_INDEX_NAME

    public static final String DUPLICATE_INDEX_NAME
    Message key for a standard UIMA exception message: Two different CAS FeatureStructure indexes with name "{0}" have been defined.
    See Also:
      - Constant Field Values

  - ### PARAM_OVERRIDE_IN_PRIMITIVE

    public static final String PARAM_OVERRIDE_IN_PRIMITIVE
    Message key for a standard UIMA exception message: Configuration parameter "{0}" in primitive Analysis Engine "{1}" declares an override. Parameter overrides are allowed only in aggregate Analysis Engines.
    See Also:
      - Constant Field Values

  - ### INVALID_PARAM_OVERRIDE_NO_OVERRIDES

    public static final String INVALID_PARAM_OVERRIDE_NO_OVERRIDES
    Message key for a standard UIMA exception message: Configuration parameter "{0}" in aggregate Analysis Engine "{1}" does not declare any overrides. Implicit overrides are no longer supported. (Descriptor: {2})
    See Also:
      - Constant Field Values

  - ### INVALID_PARAM_OVERRIDE_SYNTAX

    public static final String INVALID_PARAM_OVERRIDE_SYNTAX
    Message key for a standard UIMA exception message: Invalid configuration parameter override syntax "{0}" in parameter "{1}" of Analysis Engine "{2}". Overrides must be of the form "<delegateKey>/<paramName>"
    See Also:
      - Constant Field Values

  - ### INVALID_PARAM_OVERRIDE_NONEXISTENT_DELEGATE

    public static final String INVALID_PARAM_OVERRIDE_NONEXISTENT_DELEGATE
    Message key for a standard UIMA exception message: Invalid configuration parameter override "{0}" in parameter "{1}" of Analysis Engine "{2}" -- delegate Analysis Engine "{3}" does not exist.
    See Also:
      - Constant Field Values

  - ### INVALID_PARAM_OVERRIDE_NONEXISTENT_PARAMETER

    public static final String INVALID_PARAM_OVERRIDE_NONEXISTENT_PARAMETER
    Message key for a standard UIMA exception message: Invalid configuration parameter override "{0}" in parameter "{1}" of Analysis Engine "{2}" -- delegate Analysis Engine "{3}" does not declare parameter {4}.
    See Also:
      - Constant Field Values

  - ### INVALID_PARAM_OVERRIDE_NONEXISTENT_PARAMETER_IN_GROUP

    public static final String INVALID_PARAM_OVERRIDE_NONEXISTENT_PARAMETER_IN_GROUP
    Message key for a standard UIMA exception message: Invalid configuration parameter override "{0}" in parameter "{1}" of Analysis Engine "{2}" -- delegate Analysis Engine "{3}" does not declare parameter {4} in group {5}.
    See Also:
      - Constant Field Values

  - ### OUTPUT_SOFA_NOT_DECLARED_IN_AGGREGATE

    public static final String OUTPUT_SOFA_NOT_DECLARED_IN_AGGREGATE
    Message key for a standard UIMA exception message: The output Sofa "{0}" in component "{1}" is not mapped to any output Sofa in its containing aggregate, "{2}".
    See Also:
      - Constant Field Values

  - ### INPUT_SOFA_HAS_NO_SOURCE

    public static final String INPUT_SOFA_HAS_NO_SOURCE
    Message key for a standard UIMA exception message: The input Sofa "{0}" in component "{1}" is not an input of the containing aggregate, "{2}", nor is it an output of another component in the same aggregate.
    See Also:
      - Constant Field Values

  - ### AGGREGATE_SOFA_NOT_MAPPED

    public static final String AGGREGATE_SOFA_NOT_MAPPED
    Message key for a standard UIMA exception message: The Sofa "{0}" in aggregate "{1}" is not mapped to any sofa of any component in that aggregate.
    See Also:
      - Constant Field Values

  - ### SOFA_MAPPING_CONFLICT

    public static final String SOFA_MAPPING_CONFLICT
    Message key for a standard UIMA exception message: The Sofa "{0}" in component "{1}" of aggregate "{2}" has conflicting mappings to aggregate sofas "{3}" and "{4}".
    See Also:
      - Constant Field Values

  - ### MISSING_IMPLEMENTATION_CLASS_NAME

    public static final String MISSING_IMPLEMENTATION_CLASS_NAME
    Message key for a standard UIMA exception message: An implementation class name is missing from the descriptor.
    See Also:
      - Constant Field Values

  - ### NOT_A_CAS_PROCESSOR

    public static final String NOT_A_CAS_PROCESSOR
    Message key for a standard UIMA exception message: "Error creating CAS Processor with name "{0}". The descriptor type "{1}" is not allowed - you must specify an AnalysisEngine or CAS Consumer descriptor."
    See Also:
      - Constant Field Values

  - ### NOT_A_COLLECTION_READER

    public static final String NOT_A_COLLECTION_READER
    Message key for a standard UIMA exception message: "A CollectionReader descriptor specified implementation class "{0}", but this class does not implement the CollectionReader interface."
    See Also:
      - Constant Field Values

  - ### NOT_A_CAS_CONSUMER

    public static final String NOT_A_CAS_CONSUMER
    Message key for a standard UIMA exception message: "A CasConsumer descriptor specified implementation class "{0}", but this class does not implement the CasConsumer interface."
    See Also:
      - Constant Field Values

  - ### NOT_A_CAS_INITIALIZER

    public static final String NOT_A_CAS_INITIALIZER
    Message key for a standard UIMA exception message: "A CasInitializer descriptor specified implementation class "{0}", but this class does not implement the CasInitializer interface."
    See Also:
      - Constant Field Values

  - ### CAS_PROCESSOR_INITIALIZE_FAILED

    public static final String CAS_PROCESSOR_INITIALIZE_FAILED
    Message key for a standard UIMA exception message: "Initialization of CAS Processor with name "{0}" failed.
    See Also:
      - Constant Field Values

  - ### INVALID_MULTIPLE_DEPLOYMENT_ALLOWED

    public static final String INVALID_MULTIPLE_DEPLOYMENT_ALLOWED
    Message key for a standard UIMA exception message: "The descriptor for aggregate AnalysisEngine "{0}" declared multipleDeploymentAllowed == true, but its component "{1}" declared multipleDeploymentAllowed == false, which is inconsistent."
    See Also:
      - Constant Field Values

  - ### INVALID_MODIFIES_CAS

    public static final String INVALID_MODIFIES_CAS
    Message key for a standard UIMA exception message: "The descriptor for aggregate AnalysisEngine "{0}" declared modifiesCas == false, but its component "{1}" declared modifiesCas == true, which is inconsistent."
    See Also:
      - Constant Field Values

  - ### INVALID_TYPE_PRIORITIES

    public static final String INVALID_TYPE_PRIORITIES
    Message key for a standard UIMA exception message: "Invalid type priorities."
    See Also:
      - Constant Field Values

  - ### NO_SUPERTYPE

    public static final String NO_SUPERTYPE
    Message key for a standard UIMA exception message: "Type "{0}" does not define a supertype."
    See Also:
      - Constant Field Values

  - ### SOFA_MAPPING_HAS_UNDEFINED_COMPONENT_KEY

    public static final String SOFA_MAPPING_HAS_UNDEFINED_COMPONENT_KEY
    Message key for a standard UIMA exception message: Undefined component key "{1}", referenced in Sofa mapping for Sofa "{2}" of aggregate "{3}".
    See Also:
      - Constant Field Values

  - ### SOFA_MAPPING_HAS_UNDEFINED_COMPONENT_SOFA

    public static final String SOFA_MAPPING_HAS_UNDEFINED_COMPONENT_SOFA
    Message key for a standard UIMA exception message: Component "{0}" does not contain Sofa "{1}", referenced in Sofa mapping for Sofa "{2}" of aggregate "{3}".
    See Also:
      - Constant Field Values

  - ### NOT_AN_ANALYSIS_COMPONENT

    public static final String NOT_AN_ANALYSIS_COMPONENT
    Message key for a standard UIMA exception message: "The class {0} is not a valid Analysis Component. You must specify an Annotator, CAS Consumer, Collection Reader, or CAS Multiplier. "
    See Also:
      - Constant Field Values

  - ### NOT_A_FLOW_CONTROLLER_DESCRIPTOR

    public static final String NOT_A_FLOW_CONTROLLER_DESCRIPTOR
    Message key for a standard UIMA exception message: "An Aggregate Analysis Engine specified a Flow Controller descriptor {0} of an invalid type ({1})). A FlowControllerDescription is required."
    See Also:
      - Constant Field Values

  - ### UNSUPPORTED_FRAMEWORK_IMPLEMENTATION

    public static final String UNSUPPORTED_FRAMEWORK_IMPLEMENTATION
    Message key for a standard UIMA exception message: "{0} is not a supported framework implementation"
    See Also:
      - Constant Field Values

  - ### INVALID_OUTPUTS_NEW_CASES

    public static final String INVALID_OUTPUTS_NEW_CASES
    Message key for a standard UIMA exception message: "The descriptor for aggregate AnalysisEngine "{0}" declared outputsNewCASes == true, but all of its components declared outputsNewCASes == false, which is inconsistent."
    See Also:
      - Constant Field Values

  - ### EMPTY_FLOW_CONTROLLER_DECLARATION

    public static final String EMPTY_FLOW_CONTROLLER_DECLARATION
    Message key for a standard UIMA exception message: "The aggregate AnalysisEngine "{0}" declared an empty <flowController/> element. You must specify an import or a flowControllerDescription."
    See Also:
      - Constant Field Values

  - ### TEXT_ANNOTATOR_CANNOT_BE_SOFA_AWARE

    public static final String TEXT_ANNOTATOR_CANNOT_BE_SOFA_AWARE
    Message key for a standard UIMA exception message: "The primitive AnalysisEngine "{0}" has an annotator of type {1} but its descriptor declares input or output Sofas. Text annotators are not allowed to declare input or output Sofas. Consider extending CasAnnotator_ImplBase or JCasAnnotator_ImplBase instead."
    See Also:
      - Constant Field Values

  - ### MISSING_FRAMEWORK_IMPLEMENTATION

    public static final String MISSING_FRAMEWORK_IMPLEMENTATION
    Message key for a standard UIMA exception message: "Component descriptor did not specify the required <frameworkImplementation> element."
    See Also:
      - Constant Field Values

  - ### UNSUPPORTED_OBJECT_TYPE_IN_CREATE_CAS

    public static final String UNSUPPORTED_OBJECT_TYPE_IN_CREATE_CAS
    Message key for a standard UIMA exception message: "The CasCreationUtils.createCas method was passed a collection containing an object of class {0}, which is not supported. Refer to the Javadoc for a list of types accepted by this method."
    See Also:
      - Constant Field Values

  - ### SOFA_MAPPING_NOT_SUPPORTED_FOR_REMOTE

    public static final String SOFA_MAPPING_NOT_SUPPORTED_FOR_REMOTE
    Message key for a standard UIMA exception message: "Sofa mappings were specified for the remote Analysis Engine {0}. Sofa mappings are not currently supported for remote Analysis Engines. A workaround is to wrap the remotely deployed AE in an Aggregate (on the remote side), and specify Sofa mappings in that aggregate."
    See Also:
      - Constant Field Values

  - ### UNDEFINED_KEY_IN_FLOW

    public static final String UNDEFINED_KEY_IN_FLOW
    Message key for a standard UIMA exception message: The descriptor for Aggregate Analysis Engine "{0}" specified an invalid flow. The key "{1}" was used in the flow but is not defined as a key in the <delegateAnalysisEngineSpecifiers> element of the descriptor.
    See Also:
      - Constant Field Values

  - ### INVALID_ACTION_AFTER_CAS_MULTIPLIER

    public static final String INVALID_ACTION_AFTER_CAS_MULTIPLIER
    Message key for a standard UIMA exception message: The value "{0}" is an invalid value for the FixedFlowController's "ActionAfterCasMultiplier" configuration parameter. Valid values are "continue", "stop", "drop", and "dropIfNewCasProduced".
    See Also:
      - Constant Field Values

  - ### FLOW_CONTROLLER_REQUIRES_FLOW_CONSTRAINTS

    public static final String FLOW_CONTROLLER_REQUIRES_FLOW_CONSTRAINTS
    Message key for a standard UIMA exception message: The Flow Controller "{0}" requires a flow constraints element of type "{1}" in the aggregate descriptor
    See Also:
      - Constant Field Values

  - ### FLOW_CONTROLLER_MISSING_DELEGATE

    public static final String FLOW_CONTROLLER_MISSING_DELEGATE
    Message key for a standard UIMA exception message: The aggregate "{0}" references a non-existent delegate "{1}" in it's Flow Controller's flow constraints
    See Also:
      - Constant Field Values

  - ### EXCEPTION_WHEN_INITIALIZING_CUSTOM_RESOURCE

    public static final String EXCEPTION_WHEN_INITIALIZING_CUSTOM_RESOURCE
    Message key for a standard UIMA exception message: Unexpected Exception thrown when initializing Custom Resource "{0}" from descriptor "{1}".
    See Also:
      - Constant Field Values

  - ### THROWABLE_WHEN_INITIALIZING_CUSTOM_RESOURCE

    public static final String THROWABLE_WHEN_INITIALIZING_CUSTOM_RESOURCE
    Message key for a standard UIMA exception message: Unexpected Throwable or Error thrown when initializing Custom Resource "{0}" from descriptor "{1}".
    See Also:
      - Constant Field Values

  - ### REDEFINING_BUILTIN_TYPE

    public static final String REDEFINING_BUILTIN_TYPE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ResourceInitializationException

    public ResourceInitializationException()
    Creates a new exception with a null message.

  - ### ResourceInitializationException

    public ResourceInitializationException(Throwable aCause)
    Creates a new exception with the specified cause and a null message.
    Parameters:
      `aCause` - the original exception that caused this exception to be thrown, if any

  - ### ResourceInitializationException

    public ResourceInitializationException(String aResourceBundleName, String aMessageKey, Object[] aArguments)
    Creates a new exception with a the specified message.
    Parameters:
      `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
      `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
      `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

  - ### ResourceInitializationException

    public ResourceInitializationException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)
    Creates a new exception with the specified message and cause.
    Parameters:
      `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
      `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
      `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
      `aCause` - the original exception that caused this exception to be thrown, if any

  - ### ResourceInitializationException

    public ResourceInitializationException(String aMessageKey, Object[] aArguments)
    Creates a new exception with a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
    Parameters:
      `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
      `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

  - ### ResourceInitializationException

    public ResourceInitializationException(String aMessageKey, Object[] aArguments, Throwable aCause)
    Creates a new exception with the specified cause and a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
    Parameters:
      `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
      `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
      `aCause` - the original exception that caused this exception to be thrown, if any